org.eclipse.swt.events

## Interface MenuListener

All Known Implementing Classes:
  MenuAdapter

    public interface MenuListener

Classes which implement this interface provide methods that deal with the hiding and showing of menus.

After creating an instance of a class that implements this interface it can be added to a menu using the `addMenuListener` method and removed using the `removeMenuListener` method. When the menu is hidden or shown, the appropriate method will be invoked.

See Also:
  `MenuAdapter`, `MenuEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `menuHidden(MenuEvent e)` Sent when a menu is hidden.
`void` `menuShown(MenuEvent e)` Sent when a menu is shown.

### Method Detail

#### menuHidden

    void menuHidden(MenuEvent e)

Sent when a menu is hidden.

Parameters:
  `e` - an event containing information about the menu operation

#### menuShown

    void menuShown(MenuEvent e)

Sent when a menu is shown.

Parameters:
  `e` - an event containing information about the menu operation

Copyright (c) EclipseSource and others 2002, 2016. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0